package com.pj.ht_trade_settlement;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: ht_trade_settlement -- 航通交易结算表
 * @author yzs 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class HtTradeSettlementService extends ServiceImpl<HtTradeSettlementMapper, HtTradeSettlement> implements IService<HtTradeSettlement>{

	/** 底层 Mapper 对象 */
	@Autowired
	HtTradeSettlementMapper htTradeSettlementMapper;

	/** 增 */
	void add(HtTradeSettlement h){
		save(h);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(HtTradeSettlement h){
		updateById(h);

	}

	/** 查 */
	HtTradeSettlement getById(String platSeqNo){
		return super.getById(platSeqNo);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<HtTradeSettlement> getList(SoMap so) { 
		return htTradeSettlementMapper.getList(so);	
	}
	

}
